"use strict";

const CSLibrary = new CSInterface();


$(document).ready(() => {

  // body event for layers update
  $("body").mouseenter((event) => {
    event.preventDefault();
    event.stopPropagation();

    CSLibrary.evalScript("getSelectionLength();", (result) => {
      $("#selection").text(result);
    });

    CSLibrary.evalScript("getActiveDocName();", (result) => {
      $("#docname").text(result);
    });
  });

  // fire body event
  $("body").trigger("mouseenter");
  //
});
