Array.prototype.indexOf = function (element) {
  for (var i = 0; i < this.length; i++) {
    if (this[i] == element) {
      return i;
    }
  }
  return -1;
};

function templateName(doc) {
  var rawName = decodeURI(doc.name);
  var tplName = rawName.split(".").reverse().slice(2).reverse().join(".");
  return tplName;
}

function getActiveDocName() {
  if (!app.documents.length) {
    return;
  }
  var doc = app.activeDocument;
  return templateName(doc);
}

function getSelectionLength() {
  if (!app.documents.length) {
    return;
  }
  return app.selection.length.toString();
}